/* statedata1.do =extract from soep data for state */

set mem 50m
set more off

#delimit;

/* --------------------------------------------------------------------  */;  
/*  This command file was generated by SOEPINFO-WWW                      */;
/*  from the SOEP HOMEPAGE: http://www.diw-berlin.de/soep.               */;
/*                                                                       */;
/*      !!! I M P O R T A N T  -  W A R N I N G !!!                      */;
/*  You alone are responsible for contents and appropriate               */;
/*  usage by accepting the usage agreement.                              */;
/* --------------------------------------------------------------------- */;
/*  To copy this command file to your own harddisk:                      */;
/*  Use your mouse or (CNTL-A) to select this text, then "copy"          */;
/*  (CNTL-C) then in your windows application, or in a text              */;
/*  editor, "paste" (CNTL-V).                                            */;
/* --------------------------------------------------------------------  */;
/*                                                                       */;
/*  Please report any errors of the STATA code generated here            */;
/*  to Jan Goebel <jgoebel@diw.de>                                       */;
/* --------------------------------------------------------------------  */;
/*                                                                       */;
/* -----   Here you can customize the paths and options:  -----          */; 
/* -----        Some further explanations:                -----          */;                                                                            
/*  The following                                                        */;                              
/*                                                                       */;                 
/*  global macros (in stata),                                            */;                                          
/*  file handles (in SPSS) or                                            */;                                          
/*  libnames (in SAS)                                                    */;                                  
/*                                                                       */;                 
/*  define the locations for the original SOEP DATA, the directory       */;                                                                               
/*  for temporary files and the destination of the resulting data file.  */;                                                                                    
/*                                                                       */;                 
/*  MY_IN_PATH   = "path/to/your/SOEP/directory/"                        */;                                                              
/*  MY_OUT_PATH  = "path/to/the/directory/for/the/resulting/file/"       */;                                                                               
/*  MY_TEMP_PATH = "path/to/the/directory/for/the/temporary/files/"      */;                                                                                
/*                                                                       */;                 
/*  The correct specification of the path depends on your Operating      */;                                                                                
/*  System and on your SOEP installation, but be sure to use a           */;                                                                           
/*  TRAILING backslash ("\", within Windows) or a                        */;                                                              
/*  TRAILING forward slash ("/", within Unix/Linux).                     */;                                                                 
/*                                                                       */;                 
/*  You can also change the name for the resulting data file with the    */;                                                                                  
/*  variable MY_OUT_FILE and the name for the log file (only with        */;                                                                              
/*  stata, variable MY_LOG_FILE).                                        */;                                              
/* ----------------------------------------------------------------      */;                                                                                
                                                                                        

/* -----   Here you can customize the paths and options:   ----- */;

global MY_IN_PATH   "U:\SOEP23\";
global MY_OUT_PATH  "U:\Dokumente\uni\projects\state\revision\data\";
global MY_TEMP_PATH "U:\Dokumente\uni\projects\state\revision\data\temp\";

global MY_OUT_FILE  ${MY_OUT_PATH}statedata1.dta;
global MY_LOG_FILE  ${MY_OUT_PATH}statedata1.log;

log using "${MY_LOG_FILE}", text replace;
set more off;

/* ----------------[ automatically pull PPFAD ]----------------- */;

use    hhnr    persnr  sex     gebjahr psample 
       lhhnr   mhhnr   nhhnr   ohhnr   phhnr   qhhnr   rhhnr   shhnr   thhnr  
       uhhnr   vhhnr   whhnr   
       lnetto  mnetto  nnetto  onetto  pnetto  qnetto  rnetto  snetto  tnetto 
       unetto  vnetto  wnetto  
       lpop    mpop    npop    opop    ppop    qpop    rpop    spop    tpop   
       upop    vpop    wpop
using  "${MY_IN_PATH}ppfad.dta";

/* --------------[ balanced / unbalanced design ]--------------- */;

/* selection is carried out in statedata2.do */

/* -----------------[ drop if in institutional household IN ANY ONE OF THE YEARS 1995 - 2005]------------------ */;

drop if ( ( lpop == 3 | lpop == 4 ) | ( lpop == 7 | lpop == 8 ) |
            ( mpop == 3 | mpop == 4 ) | ( mpop == 7 | mpop == 8 ) |
            ( npop == 3 | npop == 4 ) | ( npop == 7 | npop == 8 ) |
            ( opop == 3 | opop == 4 ) | ( opop == 7 | opop == 8 ) |
            ( ppop == 3 | ppop == 4 ) | ( ppop == 7 | ppop == 8 ) |
            ( qpop == 3 | qpop == 4 ) | ( qpop == 7 | qpop == 8 ) |
            ( rpop == 3 | rpop == 4 ) | ( rpop == 7 | rpop == 8 ) |
            ( spop == 3 | spop == 4 ) | ( spop == 7 | spop == 8 ) |
            ( tpop == 3 | tpop == 4 ) | ( tpop == 7 | tpop == 8 ) |
            ( upop == 3 | upop == 4 ) | ( upop == 7 | upop == 8 ) |
            ( vpop == 3 | vpop == 4 ) | ( vpop == 7 | vpop == 8 )  );
            
/* ----------------------[ define sample; take samples A - F, H (omit high-income sample G) ]---------------------- */;

keep if ( (psample == 1) | (psample == 2) | (psample == 3) | (psample == 4) | (psample == 5) | (psample == 6) | (psample == 8) );

/* -----------------------[ sort ppfad ]------------------------ */;

sort persnr;
save "${MY_TEMP_PATH}ppfad.dta", replace;
clear;

/* -----------------[ automatically pull PHRF ]----------------- */;

use    hhnr    persnr  prgroup 
       lphrf   mphrf   nphrf   ophrf   pphrf   qphrf   rphrf   sphrf   tphrf  
       uphrf   vphrf   wphrf   
       lphrf1  mphrf1  nphrf1  ophrf1  pphrf1  qphrf1  rphrf1  sphrf1  tphrf1 
       uphrf1  vphrf1  wphrf1  
       sphrfall tphrfall uphrfall vphrfall wphrfall
       mpbleib npbleib opbleib ppbleib qpbleib rpbleib spbleib tpbleib upbleib
       vpbleib wpbleib 
       lpbleib mpbleib npbleib opbleib ppbleib qpbleib rpbleib spbleib tpbleib
       upbleib vpbleib wpbleib lphrf   mphrf   nphrf   ophrf   pphrf   qphrf  
       rphrf   sphrf   tphrf   uphrf   vphrf   wphrf
using  "${MY_IN_PATH}phrf.dta";

sort  persnr;
save  "${MY_TEMP_PATH}phrf.dta", replace;
clear;

/* --------------[ automatically create pmaster ]--------------- */;

use    "${MY_TEMP_PATH}ppfad.dta";
merge  persnr
using  "${MY_TEMP_PATH}phrf.dta";

drop   if _merge == 2;
drop   _merge;
erase  "${MY_TEMP_PATH}ppfad.dta";
erase  "${MY_TEMP_PATH}phrf.dta";
sort   persnr;
save   "${MY_TEMP_PATH}pmaster.dta", replace;

/* -------------------------( pull lp )------------------------- */;

use    hhnr    lhhnr   persnr  
       lp21    lp9101  lp101   lp10202
using "${MY_IN_PATH}lp.dta";

sort persnr;
save "${MY_TEMP_PATH}lp.dta", replace;
clear;

/* -----------------------( pull lpgen )------------------------ */;

use    hhnr    lhhnr   persnr  
       nation95 lpsbil  lpbbil01 lpbbil02 lbilzeit
using "${MY_IN_PATH}lpgen.dta";

sort persnr;
save "${MY_TEMP_PATH}lpgen.dta", replace;
clear;

/* -------------------------( pull mp )------------------------- */;

use    hhnr    mhhnr   persnr  
       mp15    mp7701  mp106   mp10702
using "${MY_IN_PATH}mp.dta";

sort persnr;
save "${MY_TEMP_PATH}mp.dta", replace;
clear;

/* -----------------------( pull mpgen )------------------------ */;

use    hhnr    mhhnr   persnr  
       nation96 mpsbil  mpbbil01 mpbbil02 mbilzeit
using "${MY_IN_PATH}mpgen.dta";

sort persnr;
save "${MY_TEMP_PATH}mpgen.dta", replace;
clear;

/* -------------------------( pull np )------------------------- */;

use    hhnr    nhhnr   persnr  
       np11    np8101  np113   np11402
using "${MY_IN_PATH}np.dta";

sort persnr;
save "${MY_TEMP_PATH}np.dta", replace;
clear;

/* -----------------------( pull npgen )------------------------ */;

use    hhnr    nhhnr   persnr  
       nation97 npsbil  npbbil01 npbbil02 nbilzeit
using "${MY_IN_PATH}npgen.dta";

sort persnr;
save "${MY_TEMP_PATH}npgen.dta", replace;
clear;

/* -------------------------( pull op )------------------------- */;

use    hhnr    ohhnr   persnr  
       op09    op7001  op119   op12002 
using "${MY_IN_PATH}op.dta";

sort persnr;
save "${MY_TEMP_PATH}op.dta", replace;
clear;

/* -----------------------( pull opgen )------------------------ */;

use    hhnr    ohhnr   persnr  
       nation98 opsbil  opbbil01 opbbil02 obilzeit
using "${MY_IN_PATH}opgen.dta";

sort persnr;
save "${MY_TEMP_PATH}opgen.dta", replace;
clear;

/* -------------------------( pull pp )------------------------- */;

use    hhnr    phhnr   persnr  
       pp10    pp9701  pp131   pp13202
using "${MY_IN_PATH}pp.dta";

sort persnr;
save "${MY_TEMP_PATH}pp.dta", replace;
clear;

/* -----------------------( pull ppgen )------------------------ */;

use    hhnr    phhnr   persnr  
       nation99 ppsbil  ppbbil01 ppbbil02 pbilzeit
using "${MY_IN_PATH}ppgen.dta";

sort persnr;
save "${MY_TEMP_PATH}ppgen.dta", replace;
clear;

/* -------------------------( pull qp )------------------------- */;

use    hhnr    qhhnr   persnr  
       qp10    qp9701  qp140   qp14102
using "${MY_IN_PATH}qp.dta";

sort persnr;
save "${MY_TEMP_PATH}qp.dta", replace;
clear;

/* -----------------------( pull qpgen )------------------------ */;

use    hhnr    qhhnr   persnr  
       nation00 qpsbil  qpbbil01 qpbbil02 qbilzeit
using "${MY_IN_PATH}qpgen.dta";

sort persnr;
save "${MY_TEMP_PATH}qpgen.dta", replace;
clear;

/* -------------------------( pull rp )------------------------- */;

use    hhnr    rhhnr   persnr  
       rp12    rp9701  rp131   rp13202
using "${MY_IN_PATH}rp.dta";

sort persnr;
save "${MY_TEMP_PATH}rp.dta", replace;
clear;

/* -----------------------( pull rpgen )------------------------ */;

use    hhnr    rhhnr   persnr  
       nation01 rpsbil  rpbbil01 rpbbil02 rbilzeit
using "${MY_IN_PATH}rpgen.dta";

sort persnr;
save "${MY_TEMP_PATH}rpgen.dta", replace;
clear;

/* -------------------------( pull sp )------------------------- */;

use    hhnr    shhnr   persnr  
       sp15    sp9501  sp131   sp13202
using "${MY_IN_PATH}sp.dta";

sort persnr;
save "${MY_TEMP_PATH}sp.dta", replace;
clear;

/* -----------------------( pull spgen )------------------------ */;

use    hhnr    shhnr   persnr  
       nation02 spsbil  spbbil01 spbbil02 sbilzeit
using "${MY_IN_PATH}spgen.dta";

sort persnr;
save "${MY_TEMP_PATH}spgen.dta", replace;
clear;

/* -------------------------( pull tp )------------------------- */;

use    hhnr    thhnr   persnr  
       tp34    tp9901  tp138   tp13902
using "${MY_IN_PATH}tp.dta";

sort persnr;
save "${MY_TEMP_PATH}tp.dta", replace;
clear;

/* -----------------------( pull tpgen )------------------------ */;

use    hhnr    thhnr   persnr  
       nation03 tpsbil  tpbbil01 tpbbil02 tbilzeit
using "${MY_IN_PATH}tpgen.dta";

sort persnr;
save "${MY_TEMP_PATH}tpgen.dta", replace;
clear;

/* -------------------------( pull up )------------------------- */;

use    hhnr    uhhnr   persnr  
       up09    up9201  up140   up14102
using "${MY_IN_PATH}up.dta";

sort persnr;
save "${MY_TEMP_PATH}up.dta", replace;
clear;

/* -----------------------( pull upgen )------------------------ */;

use    hhnr    uhhnr   persnr  
       nation04 upsbil  upbbil01 upbbil02   ubilzeit
using "${MY_IN_PATH}upgen.dta";

sort persnr;
save "${MY_TEMP_PATH}upgen.dta", replace;
clear;

/* -------------------------( pull vp )------------------------- */;

use    hhnr    vhhnr   persnr  
       vp10    vp10501 vp148   vp14902
using "${MY_IN_PATH}vp.dta";

sort persnr;
save "${MY_TEMP_PATH}vp.dta", replace;
clear;

/* -----------------------( pull vpgen )------------------------ */;

use    hhnr    vhhnr   persnr  
       nation05 vpsbil  vpbbil01 vpbbil02 vbilzeit
using "${MY_IN_PATH}vpgen.dta";

sort persnr;
save "${MY_TEMP_PATH}vpgen.dta", replace;
clear;

/* -------------------------( pull wp )------------------------- */;

use    hhnr    whhnr   persnr  
       wp07    wp9601  wp125   wp12602
using "${MY_IN_PATH}wp.dta";

sort persnr;
save "${MY_TEMP_PATH}wp.dta", replace;
clear;

/* -----------------------( pull wpgen )------------------------ */;

use    hhnr    whhnr   persnr  
       nation06 wpsbil  wpbbil01 wpbbil02 wbilzeit
using "${MY_IN_PATH}wpgen.dta";

sort persnr;
save "${MY_TEMP_PATH}wpgen.dta", replace;
clear;

/* -------------------------( pull lh )------------------------- */;

use    hhnr    lhhnr   
       lh50
using "${MY_IN_PATH}lh.dta";

sort lhhnr;
save "${MY_TEMP_PATH}lh.dta", replace;
clear;

/* ----------------------( pull lhbrutto )---------------------- */;

use    hhnr    lhhnr   lhhgr
       lbula
using "${MY_IN_PATH}lhbrutto.dta";

sort lhhnr;
save "${MY_TEMP_PATH}lhbrutto.dta", replace;
clear;

/* -------------------------( pull mh )------------------------- */;

use    hhnr    mhhnr   
       mh50
using "${MY_IN_PATH}mh.dta";

sort mhhnr;
save "${MY_TEMP_PATH}mh.dta", replace;
clear;

/* ----------------------( pull mhbrutto )---------------------- */;

use    hhnr    mhhnr   mhhgr
       mbula
using "${MY_IN_PATH}mhbrutto.dta";

sort mhhnr;
save "${MY_TEMP_PATH}mhbrutto.dta", replace;
clear;

/* -------------------------( pull nh )------------------------- */;

use    hhnr    nhhnr   
       nh50
using "${MY_IN_PATH}nh.dta";

sort nhhnr;
save "${MY_TEMP_PATH}nh.dta", replace;
clear;

/* ----------------------( pull nhbrutto )---------------------- */;

use    hhnr    nhhnr   nhhgr
       nbula
using "${MY_IN_PATH}nhbrutto.dta";

sort nhhnr;
save "${MY_TEMP_PATH}nhbrutto.dta", replace;
clear;

/* -------------------------( pull oh )------------------------- */;

use    hhnr    ohhnr   
       oh50
using "${MY_IN_PATH}oh.dta";

sort ohhnr;
save "${MY_TEMP_PATH}oh.dta", replace;
clear;

/* ----------------------( pull ohbrutto )---------------------- */;

use    hhnr    ohhnr   ohhgr
       obula
using "${MY_IN_PATH}ohbrutto.dta";

sort ohhnr;
save "${MY_TEMP_PATH}ohbrutto.dta", replace;
clear;

/* -------------------------( pull ph )------------------------- */;

use    hhnr    phhnr   
       ph50
using "${MY_IN_PATH}ph.dta";

sort phhnr;
save "${MY_TEMP_PATH}ph.dta", replace;
clear;

/* ----------------------( pull phbrutto )---------------------- */;

use    hhnr    phhnr   phhgr
       pbula
using "${MY_IN_PATH}phbrutto.dta";

sort phhnr;
save "${MY_TEMP_PATH}phbrutto.dta", replace;
clear;

/* -------------------------( pull qh )------------------------- */;

use    hhnr    qhhnr   
       qh54
using "${MY_IN_PATH}qh.dta";

sort qhhnr;
save "${MY_TEMP_PATH}qh.dta", replace;
clear;

/* ----------------------( pull qhbrutto )---------------------- */;

use    hhnr    qhhnr   qhhgr
       qbula
using "${MY_IN_PATH}qhbrutto.dta";

sort qhhnr;
save "${MY_TEMP_PATH}qhbrutto.dta", replace;
clear;

/* -------------------------( pull rh )------------------------- */;

use    hhnr    rhhnr   
       rh49
using "${MY_IN_PATH}rh.dta";

sort rhhnr;
save "${MY_TEMP_PATH}rh.dta", replace;
clear;

/* ----------------------( pull rhbrutto )---------------------- */;

use    hhnr    rhhnr   rhhgr
       rbula
using "${MY_IN_PATH}rhbrutto.dta";

sort rhhnr;
save "${MY_TEMP_PATH}rhbrutto.dta", replace;
clear;

/* -------------------------( pull sh )------------------------- */;

use    hhnr    shhnr   
       sh4901
using "${MY_IN_PATH}sh.dta";

sort shhnr;
save "${MY_TEMP_PATH}sh.dta", replace;
clear;

/* ----------------------( pull shbrutto )---------------------- */;

use    hhnr    shhnr   shhgr
       sbula
using "${MY_IN_PATH}shbrutto.dta";

sort shhnr;
save "${MY_TEMP_PATH}shbrutto.dta", replace;
clear;

/* -------------------------( pull th )------------------------- */;

use    hhnr    thhnr   
       th4801
using "${MY_IN_PATH}th.dta";

sort thhnr;
save "${MY_TEMP_PATH}th.dta", replace;
clear;

/* ----------------------( pull thbrutto )---------------------- */;

use    hhnr    thhnr   thhgr
       tbula
using "${MY_IN_PATH}thbrutto.dta";

sort thhnr;
save "${MY_TEMP_PATH}thbrutto.dta", replace;
clear;

/* -------------------------( pull uh )------------------------- */;

use    hhnr    uhhnr   
       uh4801
using "${MY_IN_PATH}uh.dta";

sort uhhnr;
save "${MY_TEMP_PATH}uh.dta", replace;
clear;

/* ----------------------( pull uhbrutto )---------------------- */;

use    hhnr    uhhnr   uhhgr
       ubula
using "${MY_IN_PATH}uhbrutto.dta";

sort uhhnr;
save "${MY_TEMP_PATH}uhbrutto.dta", replace;
clear;

/* -------------------------( pull vh )------------------------- */;

use    hhnr    vhhnr   
       vh5101
using "${MY_IN_PATH}vh.dta";

sort vhhnr;
save "${MY_TEMP_PATH}vh.dta", replace;
clear;

/* ----------------------( pull vhbrutto )---------------------- */;

use    hhnr    vhhnr   vhhgr
       vbula
using "${MY_IN_PATH}vhbrutto.dta";

sort vhhnr;
save "${MY_TEMP_PATH}vhbrutto.dta", replace;
clear;

/* -------------------------( pull wh )------------------------- */;

use    hhnr    whhnr   
       wh5101
using "${MY_IN_PATH}wh.dta";

sort whhnr;
save "${MY_TEMP_PATH}wh.dta", replace;
clear;

/* ----------------------( pull whbrutto )---------------------- */;

use    hhnr    whhnr   whhgr
       wbula
using "${MY_IN_PATH}whbrutto.dta";

sort whhnr;
save "${MY_TEMP_PATH}whbrutto.dta", replace;
clear;

/* -----------------( Now merge all together )------------------ */;

use   "${MY_TEMP_PATH}pmaster.dta";
erase "${MY_TEMP_PATH}pmaster.dta";

/* -----------( merge together by person: ALL Waves )----------- */;

/* ------------------------( merge LP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}lp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}lp.dta";

/* -----------------------( merge LPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}lpgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}lpgen.dta";

/* ------------------------( merge MP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}mp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}mp.dta";

/* -----------------------( merge MPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}mpgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}mpgen.dta";

/* ------------------------( merge NP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}np.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}np.dta";

/* -----------------------( merge NPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}npgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}npgen.dta";

/* ------------------------( merge OP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}op.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}op.dta";

/* -----------------------( merge OPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}opgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}opgen.dta";

/* ------------------------( merge PP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}pp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}pp.dta";

/* -----------------------( merge PPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}ppgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}ppgen.dta";

/* ------------------------( merge QP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}qp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}qp.dta";

/* -----------------------( merge QPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}qpgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}qpgen.dta";

/* ------------------------( merge RP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}rp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}rp.dta";

/* -----------------------( merge RPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}rpgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}rpgen.dta";

/* ------------------------( merge SP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}sp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}sp.dta";

/* -----------------------( merge SPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}spgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}spgen.dta";

/* ------------------------( merge TP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}tp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}tp.dta";

/* -----------------------( merge TPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}tpgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}tpgen.dta";

/* ------------------------( merge UP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}up.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}up.dta";

/* -----------------------( merge UPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}upgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}upgen.dta";

/* ------------------------( merge VP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}vp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}vp.dta";

/* -----------------------( merge VPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}vpgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}vpgen.dta";

/* ------------------------( merge WP )------------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}wp.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}wp.dta";

/* -----------------------( merge WPGEN )----------------------- */;

          
sort  persnr;
merge persnr
using "${MY_TEMP_PATH}wpgen.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}wpgen.dta";

/* -----------( merge together by household: Wave L)------------ */;

/* ---------------------( merge LHBRUTTO )---------------------- */;

sort  lhhnr;
merge lhhnr
using "${MY_TEMP_PATH}lhbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}lhbrutto.dta";

/* ------------------------( merge LH )------------------------- */;

sort  lhhnr;
merge lhhnr
using "${MY_TEMP_PATH}lh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}lh.dta";

/* -----------( merge together by household: Wave M)------------ */;

/* ------------------------( merge MH )------------------------- */;

sort  mhhnr;
merge mhhnr
using "${MY_TEMP_PATH}mh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}mh.dta";

/* ---------------------( merge MHBRUTTO )---------------------- */;

sort  mhhnr;
merge mhhnr
using "${MY_TEMP_PATH}mhbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}mhbrutto.dta";

/* -----------( merge together by household: Wave N)------------ */;

/* ------------------------( merge NH )------------------------- */;

sort  nhhnr;
merge nhhnr
using "${MY_TEMP_PATH}nh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}nh.dta";

/* ---------------------( merge NHBRUTTO )---------------------- */;

sort  nhhnr;
merge nhhnr
using "${MY_TEMP_PATH}nhbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}nhbrutto.dta";

/* -----------( merge together by household: Wave O)------------ */;

/* ---------------------( merge OHBRUTTO )---------------------- */;

sort  ohhnr;
merge ohhnr
using "${MY_TEMP_PATH}ohbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}ohbrutto.dta";

/* ------------------------( merge OH )------------------------- */;

sort  ohhnr;
merge ohhnr
using "${MY_TEMP_PATH}oh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}oh.dta";

/* -----------( merge together by household: Wave P)------------ */;

/* ---------------------( merge PHBRUTTO )---------------------- */;

sort  phhnr;
merge phhnr
using "${MY_TEMP_PATH}phbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}phbrutto.dta";

/* ------------------------( merge PH )------------------------- */;

sort  phhnr;
merge phhnr
using "${MY_TEMP_PATH}ph.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}ph.dta";

/* -----------( merge together by household: Wave Q)------------ */;

/* ---------------------( merge QHBRUTTO )---------------------- */;

sort  qhhnr;
merge qhhnr
using "${MY_TEMP_PATH}qhbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}qhbrutto.dta";

/* ------------------------( merge QH )------------------------- */;

sort  qhhnr;
merge qhhnr
using "${MY_TEMP_PATH}qh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}qh.dta";

/* -----------( merge together by household: Wave R)------------ */;

/* ---------------------( merge RHBRUTTO )---------------------- */;

sort  rhhnr;
merge rhhnr
using "${MY_TEMP_PATH}rhbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}rhbrutto.dta";

/* ------------------------( merge RH )------------------------- */;

sort  rhhnr;
merge rhhnr
using "${MY_TEMP_PATH}rh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}rh.dta";

/* -----------( merge together by household: Wave S)------------ */;

/* ------------------------( merge SH )------------------------- */;

sort  shhnr;
merge shhnr
using "${MY_TEMP_PATH}sh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}sh.dta";

/* ---------------------( merge SHBRUTTO )---------------------- */;

sort  shhnr;
merge shhnr
using "${MY_TEMP_PATH}shbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}shbrutto.dta";

/* -----------( merge together by household: Wave T)------------ */;

/* ------------------------( merge TH )------------------------- */;

sort  thhnr;
merge thhnr
using "${MY_TEMP_PATH}th.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}th.dta";

/* ---------------------( merge THBRUTTO )---------------------- */;

sort  thhnr;
merge thhnr
using "${MY_TEMP_PATH}thbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}thbrutto.dta";

/* -----------( merge together by household: Wave U)------------ */;

/* ------------------------( merge UH )------------------------- */;

sort  uhhnr;
merge uhhnr
using "${MY_TEMP_PATH}uh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}uh.dta";

/* ---------------------( merge UHBRUTTO )---------------------- */;

sort  uhhnr;
merge uhhnr
using "${MY_TEMP_PATH}uhbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}uhbrutto.dta";

/* -----------( merge together by household: Wave V)------------ */;

/* ---------------------( merge VHBRUTTO )---------------------- */;

sort  vhhnr;
merge vhhnr
using "${MY_TEMP_PATH}vhbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}vhbrutto.dta";

/* ------------------------( merge VH )------------------------- */;

sort  vhhnr;
merge vhhnr
using "${MY_TEMP_PATH}vh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}vh.dta";

/* -----------( merge together by household: Wave W)------------ */;

/* ---------------------( merge WHBRUTTO )---------------------- */;

sort  whhnr;
merge whhnr
using "${MY_TEMP_PATH}whbrutto.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}whbrutto.dta";

/* ------------------------( merge WH )------------------------- */;

sort  whhnr;
merge whhnr
using "${MY_TEMP_PATH}wh.dta";
drop   if _merge == 2;
drop   _merge;
erase "${MY_TEMP_PATH}wh.dta";

/* --------------------------( done! )-------------------------- */;

compress;

label data "statedata1";
save  "${MY_OUT_FILE}", replace;
desc;
sum;


log close;

